#define IDM_OPTIONS 		100
#define IDM_TRANSACTION		101
#define IDM_ABOUT		102
#define IDM_EXIT		103

#define IDS_FACILITY_NAME	200
#define IDE_FACILITY_NAME	201
#define IDS_ACCESS		202
#define IDE_ACCESS		203
#define IDS_MESSAGE_SIZE	204
#define IDE_MESSAGE_SIZE	205

#define IDS_TRANS_DATA		300
#define IDE_TRANS_DATA		301
#define IDS_TRANS_RESPONSE	302
#define IDE_TRANS_RESPONSE	303
#define IDB_OPEN		304
#define IDB_CLOSE		305
#define IDB_ACCEPT		306
#define IDB_REJECT		307
#define IDS_RTREVENTS		308
#define IDL_RTREVENTS		309

int APIENTRY WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,
                      LPSTR lpCmdLine, int nCmdShow);

BOOL InitApplication(HINSTANCE hInstance);

BOOL InitInstance( HINSTANCE hInstance, int nCmdShow);

LRESULT CALLBACK WndProc( HWND hWnd, UINT message, WPARAM uParam,
                          LPARAM lParam);

BOOL CenterWindow (HWND hwndChild, HWND hwndParent);

LRESULT CALLBACK About(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

LRESULT CALLBACK Options(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

LRESULT CALLBACK Transaction(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

void AddStrToListBox (LPSTR szFmt, ...);

void exit_if_error ( char *msgtxt, rtr_status_t sts);

BOOL wait_for_channel_open ( void );

void  wait_for_tx_status ( void );




